---
updatedAt: 2026-05-27T22:29:10.000Z
agentTools:
  projectIndex: https://docs.spinwheel.io/llms.txt
---

# Get Refresh Subscriptions

Get a list of all subscriptions for a user. Optional query parameters allow filtering by status or subscription type.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "paths": {
    "/v1/users/{userId}/subscriptions": {
      "get": {
        "operationId": "Get Refresh Subscriptions",
        "summary": "Get Refresh Subscriptions",
        "description": "Get a list of all subscriptions for a user. Optional query parameters allow filtering by status or subscription type.",
        "parameters": [
          {
            "name": "userId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status",
            "required": false,
            "in": "query",
            "description": "Filter subscriptions by status.",
            "example": "ACTIVE",
            "schema": {
              "enum": [
                "PENDING",
                "ACTIVE",
                "INACTIVE"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "List of subscriptions for the user",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ListSubscriptionResponse"
                  }
                },
                "examples": {
                  "Success": {
                    "summary": "List of active subscriptions",
                    "value": {
                      "status": {
                        "code": 200,
                        "desc": "success"
                      },
                      "data": [
                        {
                          "subscriptionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                          "subscriptionType": "DEBT_PROFILE_REFRESH",
                          "userId": "1c9d0f64-1234-4562-b3fc-2c963f66afad",
                          "status": "ACTIVE",
                          "configuration": {
                            "refreshFrequency": "MONTHLY",
                            "creditReport": {
                              "type": "1_BUREAU.FULL",
                              "sourceBureau": "EQUIFAX"
                            }
                          },
                          "createdOn": 1757055616000,
                          "updatedOn": 1757055616000
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequestResponse"
                },
                "examples": {
                  "Invalid Status Filter": {
                    "value": {
                      "status": {
                        "code": 400,
                        "desc": "Bad Request",
                        "messages": [
                          {
                            "desc": "status must be a valid enum value",
                            "type": "ERROR"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResponse"
                },
                "examples": {
                  "User Not Found": {
                    "value": {
                      "status": {
                        "code": 404,
                        "desc": "User not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalServerErrorResponse"
                }
              }
            }
          }
        },
        "tags": [
          "Debt Profile"
        ],
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "info": {
    "title": "Discover",
    "description": "Welcome to Spinwheel's documentation! ",
    "version": "1.0",
    "contact": {}
  },
  "tags": [
    {
      "name": "Debt Profile"
    }
  ],
  "servers": [
    {
      "url": "https://sandbox-api.spinwheel.io"
    },
    {
      "url": "https://api.spinwheel.io"
    },
    {
      "url": "https://secure-api.spinwheel.io"
    },
    {
      "url": "https://secure-sandbox-api.spinwheel.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Once you've created a Spinwheel account and received credentials, you can access all of Spinwheel's APIs using a server-to-server call (in order to protect your credentials). When calling an API simply include your secretKey as a bearer token in an auth header like so: \n\n `Authorization: Bearer 8ae8d6fa-df8d-4c5d-9f9b-c4e4c10968b0`"
      }
    },
    "schemas": {
      "BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 400
          },
          "desc": {
            "type": "string",
            "example": "Bad request"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "BadRequestResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/BadRequest"
          }
        },
        "required": [
          "status"
        ]
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 401
          },
          "desc": {
            "type": "string",
            "example": "Invalid private key"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "UnauthorizedResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/Unauthorized"
          }
        },
        "required": [
          "status"
        ]
      },
      "NotFound": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 404
          },
          "desc": {
            "type": "string",
            "example": "Resource not found"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "NotFoundResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/NotFound"
          }
        },
        "required": [
          "status"
        ]
      },
      "InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 500
          },
          "desc": {
            "type": "string",
            "example": "Internal server error"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "InternalServerErrorResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/InternalServerError"
          }
        },
        "required": [
          "status"
        ]
      },
      "CreditReportConfiguration": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "1_BUREAU.FULL"
            ],
            "description": "Credit report type",
            "example": "1_BUREAU.FULL"
          },
          "sourceBureau": {
            "enum": [
              "Equifax",
              "TransUnion"
            ],
            "type": "string",
            "description": "Source credit bureau",
            "example": "TransUnion"
          }
        },
        "required": [
          "type"
        ]
      },
      "CreditScoreConfiguration": {
        "type": "object",
        "properties": {
          "model": {
            "enum": [
              "VANTAGE_SCORE_3_0"
            ],
            "type": "string",
            "description": "Credit score model",
            "example": "VANTAGE_SCORE_3_0"
          },
          "sourceBureau": {
            "enum": [
              "Equifax",
              "TransUnion"
            ],
            "type": "string",
            "description": "Source credit bureau",
            "example": "TransUnion"
          }
        },
        "required": [
          "model"
        ]
      },
      "DebtProfileRefreshSubscriptionConfiguration": {
        "type": "object",
        "properties": {
          "refreshFrequency": {
            "enum": [
              "MONTHLY",
              "WEEKLY"
            ],
            "type": "string",
            "description": "Refresh frequency",
            "example": "MONTHLY"
          },
          "creditReport": {
            "description": "Credit report configuration",
            "allOf": [
              {
                "$ref": "#/components/schemas/CreditReportConfiguration"
              }
            ]
          },
          "creditScore": {
            "description": "Credit score configuration",
            "allOf": [
              {
                "$ref": "#/components/schemas/CreditScoreConfiguration"
              }
            ]
          }
        },
        "required": [
          "refreshFrequency"
        ]
      },
      "ListSubscriptionResponse": {
        "type": "object",
        "properties": {
          "subscriptionId": {
            "type": "string",
            "description": "Unique identifier for the subscription",
            "format": "uuid",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          },
          "subscriptionType": {
            "type": "string",
            "enum": [
              "DEBT_PROFILE.REFRESH"
            ],
            "description": "The type of subscription",
            "example": "DEBT_PROFILE.REFRESH"
          },
          "userId": {
            "type": "string",
            "description": "User identifier",
            "format": "uuid",
            "example": "1c9d0f64-1234-4562-b3fc-2c963f66afad"
          },
          "status": {
            "enum": [
              "PENDING",
              "ACTIVE",
              "INACTIVE"
            ],
            "type": "string",
            "description": "Subscription status",
            "example": "ACTIVE"
          },
          "configuration": {
            "description": "Subscription configuration",
            "allOf": [
              {
                "$ref": "#/components/schemas/DebtProfileRefreshSubscriptionConfiguration"
              }
            ]
          },
          "createdOn": {
            "type": "number",
            "description": "Timestamp when the subscription was created",
            "example": 1757055616000
          },
          "updatedOn": {
            "type": "number",
            "description": "Timestamp when the subscription was last updated",
            "example": 1757055616000
          }
        },
        "required": [
          "subscriptionId",
          "subscriptionType",
          "userId",
          "status",
          "configuration",
          "createdOn",
          "updatedOn"
        ]
      }
    }
  }
}
```